        MODULE  ?cstartup
        ;; Forward declaration of sections.
        SECTION CSTACK:DATA:NOROOT(3)
        SECTION .intvec:CODE:NOROOT(2)
	
        PUBLIC __iar_program_start
	PUBLIC PLG_GetTable
	PUBLIC PLG_FreeAndRet
	EXTERN PluginMain
	EXTERN free
        CODE32
__iar_program_start
	B	StartWork
; +4	
	DCB	'00.04.04.03.02',0
	
	
        SECTION Init:CODE:NOROOT(3)
PLG_GetTable	
	mov	R0, PC
	BX	LR
	DCD	0			; SP after save regs
	DCD	0			; Start Address
	DCD	0			; Sock 6000 (R5)
	DCD	0,0,0,0			; Work Area
	
StartWork
	MOV	R1, R12			; Plugin Start Address
	STMFD   SP!, {R4-R6,LR}
	BL	PLG_GetTable		; Get Save Address
	STR	SP, [R0] 		; Save Stack Ptr
	STR	R1, [R0, #4]		; Start Of memory block
	STR	R5, [R0, #8]		; Socket
	BL	PluginMain
	LDMFD   SP!, {R4-R6,PC}		; Simple return (no free block)
	
; Restore stack, restore regs, free memory and return	
PLG_FreeAndRet:	
	BL	PLG_GetTable		; Get Save Address
	LDR	SP, [R0]
	LDR	R0, [R0, #4]
	LDMFD   SP!, {R4-R6,LR}		; restore registers
	B	free			; jump to free (and return after free)
	END


